commit:     ed571b2e49828b00bcea18d7c33eda361afc5289
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 18 00:37:44 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Dec 18 00:51:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed571b2e

dev-php/pecl-redis: bump to v4.2.0

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/pecl-redis/Manifest                |  1 +
 dev-php/pecl-redis/pecl-redis-4.2.0.ebuild | 59 ++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-php/pecl-redis/Manifest b/dev-php/pecl-redis/Manifest
index baf8aadfe02..27a8d882b3d 100644
--- a/dev-php/pecl-redis/Manifest
+++ b/dev-php/pecl-redis/Manifest
@@ -2,3 +2,4 @@ DIST redis-3.1.6.tgz 199920 BLAKE2B 
00aa81cdbedc03b4a672a58be98d8f01d2076038622b
 DIST redis-4.0.0.tgz 212340 BLAKE2B 
996138b3dd92e839fbebaf5d562cfbe90e66384233c83612c8726fa41f10c106d0195c87449fc7886b3e832fd551b962ef50c161372c04c899c9fe7fd1140101
 SHA512 
e4bf2294f696e468174c0fff9ed33831cf81c3548ce30ede01bc3c45a15cb87b9b9ea02899c451f63211be8cb37e953be138e93c16d9e0f12772b7b6d03e8dcd
 DIST redis-4.0.2.tgz 212617 BLAKE2B 
5778cf08e93fe8343e8fa07f1314c39b2d6d9a150d70c5b2084274afb163f1132a4be81385563f74d3b1d8f2dc32bf6578e98a123b43a941635fd85ebb229771
 SHA512 
3b296926ddd6a69a4d633da8bf6257c9b2962dffb4dd38c20eaf821a8c64262b476a7fb10ab4412ceb2d1307aef26c3d1d4b72141d29dab262d521a08df13a6a
 DIST redis-4.1.1.tgz 220894 BLAKE2B 
82cedf5128a62f0814c3b42792c4adb66fa58f76fdd211366c0ecd6d02130272504e20dca50a27a7ee7f16039ecfc28384743548df227dd0fa5fa1f9a2ca505c
 SHA512 
f4cc438c81c8b5119889be1004ac1b3ac689554a31ad81516ce50249fa748c225883413da687f15a00279eff0269e5d4c992809f8d88cc49e848def511d3e623
+DIST redis-4.2.0.tgz 235569 BLAKE2B 
14089171b9654affeb8c2b3861a698a3ba8d6ac235238fed7e6799cf3f2f74b240facb408acbbc987cc2d5383f197564aa81d828bfe84f91fd1bbff8dbdf563c
 SHA512 
b6325e5e1f9209a3431cbc236dab4578f796aa748481f9a3fcda6d297bf544b0f77269bc56c6e9ff32430dbe74bd08f6d22e9b04b0ecfb735aa562f680f56f8b

diff --git a/dev-php/pecl-redis/pecl-redis-4.2.0.ebuild 
b/dev-php/pecl-redis/pecl-redis-4.2.0.ebuild
new file mode 100644
index 00000000000..efc6fc7869d
--- /dev/null
+++ b/dev-php/pecl-redis/pecl-redis-4.2.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PHP_EXT_NAME="redis"
+USE_PHP="php5-6 php7-0 php7-1 php7-2 php7-3"
+DOCS=( arrays.markdown cluster.markdown README.markdown CREDITS )
+MY_P="${PN/pecl-/}-${PV/_rc/RC}"
+PHP_EXT_PECL_FILENAME="${MY_P}.tgz"
+PHP_EXT_S="${WORKDIR}/${MY_P}"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="PHP extension for interfacing with Redis"
+LICENSE="PHP-3.01"
+SLOT="0"
+KEYWORDS="~amd64 ~arm"
+IUSE="igbinary +session"
+
+DEPEND="
+       php_targets_php5-6? ( dev-lang/php:5.6[session?] igbinary? ( 
dev-php/igbinary[php_targets_php5-6] ) )
+       php_targets_php7-0? ( dev-lang/php:7.0[session?] igbinary? ( 
dev-php/igbinary[php_targets_php7-0] ) )
+       php_targets_php7-1? ( dev-lang/php:7.1[session?] igbinary? ( 
dev-php/igbinary[php_targets_php7-1] ) )
+       php_targets_php7-2? ( dev-lang/php:7.2[session?] igbinary? ( 
dev-php/igbinary[php_targets_php7-2] ) )
+       php_targets_php7-3? ( dev-lang/php:7.3[session?] igbinary? ( 
dev-php/igbinary[php_targets_php7-3] ) )
+"
+RDEPEND="${DEPEND} !dev-php/pecl-redis:7"
+
+# The test suite requires network access.
+RESTRICT=test
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+       local PHP_EXT_ECONF_ARGS=(
+               --enable-redis
+               $(use_enable igbinary redis-igbinary)
+               $(use_enable session redis-session)
+       )
+       php-ext-source-r3_src_configure
+}
+
+src_test(){
+       local slot
+       for slot in $(php_get_slots); do
+               php_init_slot_env "${slot}"
+               # Run tests for Redis class
+               ${PHPCLI} -d extension=modules/redis.so \
+                                 tests/TestRedis.php \
+                                 --class Redis \
+                                 --host ${PECL_REDIS_HOST} || die 'test suite 
failed'
+       done
+}
+
+pkg_postinst() {
+       elog "The 4.0 release comes with breaking API changes."
+       elog "Be sure to verify any applications upon upgrading."
+}

Reply via email to